#
#  @(#) $Id: Makefile.prc 1304 2008-08-27 07:28:36Z ertl-honda $
#

#
#		Makefile のプロセッサ依存部（ARM64用）
#

PRCDIR = $(SRCDIR)/arch/$(PRC)_$(TOOL)

#
#  コンパイルオプション
#
COPTS := $(COPTS)
CDEFS := $(CDEFS)
INCLUDES := $(INCLUDES) -I$(SRCDIR)/arch
LDFLAGS := $(LDFLAGS)
LIBS := $(LIBS)

#
#  カーネルに関する定義
#
KERNEL_DIRS := $(KERNEL_DIRS) $(PRCDIR)
KERNEL_ASMOBJS := $(KERNEL_ASMOBJS) prc_support.o gic_support.o
KERNEL_COBJS := $(KERNEL_COBJS) prc_config.o gic_config.o prc_timer.o
KERNEL_CFLAGS := $(KERNEL_CFLAGS)

#
#  コンフィギュレータ関係の変数の定義
#
CFG_TABS := $(CFG_TABS) --symval-table $(PRCDIR)/prc_sym.def
CFG1_OUT_LDFLAGS := $(CFG1_OUT_LDFLAGS)
CFG_OBJS := $(CFG_OBJS)
CFG2_OUT := $(CFG2_OUT)

#
#  依存関係の定義
#
cfg1_out.c: $(PRCDIR)/prc_sym.def
kernel_cfg.timestamp: $(PRCDIR)/prc_kernel.trb
check.timestamp: $(PRCDIR)/prc_check.trb

#
#  その他
#
CLEAN_FILES := $(CLEAN_FILES)
REALCLEAN_FILES := $(REALCLEAN_FILES)

